Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 2918)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 2920)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add call for precalculating apparent solar positions (moh.hefny)
+! 
+! 2906 2018-03-19 08:56:40Z Giersch
 ! The variables read/write_svf_on_init have been removed. Instead ENVIRONMENT
 ! variables read/write_svf have been introduced. Location_message has been 
@@ -494,5 +497,6 @@
                radiation_calc_svf, radiation_write_svf,                        &
                radiation_interaction, radiation_interactions,                  &
-               radiation_interaction_init, radiation_read_svf
+               radiation_interaction_init, radiation_read_svf,                 &
+               radiation_presimulate_solar_pos
     
     USE random_function_mod 
@@ -2349,5 +2353,5 @@
 !
 !--    If required, initialize radiation interactions between surfaces 
-!--    via sky-view factors. This must be done befoe radiation is initialized.
+!--    via sky-view factors. This must be done before radiation is initialized.
        IF ( radiation_interactions )  CALL radiation_interaction_init
 
@@ -2357,4 +2361,9 @@
        CALL radiation_init
        CALL location_message( 'finished', .TRUE. )
+
+!
+!--    Find all discretized apparent solar positions for radiation interaction.
+!--    This must be done after radiation_init.
+       IF ( radiation_interactions )  CALL radiation_presimulate_solar_pos
 
 !
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2918)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 2920)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Move usm_lad_rma and prototype_lad to radiation_model (moh.hefny)
+! 
+! 2892 2018-03-14 15:06:29Z suehring
 ! Bugfix, read separate ASCII LAD files for parent and child model. 
 ! 
@@ -190,5 +193,4 @@
 
     LOGICAL ::  calc_beta_lad_profile = .FALSE. !< switch for calc. of lad from beta func.
-    LOGICAL ::  usm_lad_rma = .TRUE.            !< use MPI RMA to access LAD for raytracing (instead of global array)
 
     REAL(wp) ::  alpha_lad = 9999999.9_wp         !< coefficient for lad calculation
@@ -205,5 +207,4 @@
     REAL(wp) ::  lsc = 0.0_wp                     !< leaf surface concentration
     REAL(wp) ::  lsec = 0.0_wp                    !< leaf scalar exchange coeff.
-    REAL(wp) ::  prototype_lad                    !< prototype leaf area density for computing effective optical depth
 
     REAL(wp) ::  lad_vertical_gradient(10) = 0.0_wp              !< lad gradient
@@ -230,5 +231,5 @@
 !-- Public variables and constants
     PUBLIC pc_heating_rate, canopy_mode, cthf, dt_plant_canopy, lad, lad_s,   &
-           pch_index, prototype_lad, usm_lad_rma
+           pch_index
            
 
